
-- Unlock new technologies if old ones were researched
for _, force in pairs(game.forces) do

    local progress = force.get_saved_technology_progress('induction2')

    -- Unlock induction1 if they have finished the old research
    -- or have partial progress towards unlocking it
    if force.technologies['induction2'].researched
    or (progress and progress > 0) then
        force.technologies['induction1'].researched = true
        force.recipes['induction-coil'].enabled = true
    end

    force.reset_recipes()
    force.reset_technologies()
end

-- Delete all shadows
for _, surface in pairs(game.surfaces) do
    for _, ent in pairs(surface.find_entities_filtered({ type = 'induction-shadow' })) do
        ent.destroy()
    end
end

-- Delete table (doesn't really work afaik)
global.shadows = nil